#
# spec file for package xemacs (Version 21.5.28.20070807)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 cairo canna canna-devel canna-libs cannadic compface coreutils cpio cpp cpp42 cracklib cups-libs cvs cyrus-sasl cyrus-sasl-devel desktop-translations diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel fwnn-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-lang gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale glitz gpm grep groff gtk2 gzip hicolor-icon-theme info insserv keyutils-libs krb5 less libacl libattr libbz2-1 libbz2-devel libcom_err2 libdb-4_5 libdb-4_5-devel libdrm libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libjpeg-devel libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openslp openssl-certs orbit2 pam pam-modules pango patch pcre perl perl-base permissions pkg-config popt post-build-checks rpm sed sysvinit tar tcpd texinfo timezone update-desktop-files util-linux xaw3d xaw3d-devel xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           xemacs
BuildRequires:  canna-devel compface db-devel fwnndev gcc-c++ gdbm-devel gpm krb5 libpng-devel libtiff-devel ncurses-devel openldap2 openldap2-devel texinfo update-desktop-files xorg-x11 xorg-x11-devel
%if %suse_version > 1020
BuildRequires:  xaw3d-devel
%else
BuildRequires:  xaw3d
%endif
%if "%(xft-config --prefix)" == "/usr"
%define	appdefdir  /usr/share/X11
%define xbindir    /usr/bin
%define xincludes  /usr/include
%define xlibraries /usr/%{_lib}
%else
%define	appdefdir  /usr/X11R6/lib/X11
%define xbindir    /usr/X11R6/bin
%define xincludes  /usr/X11R6/include
%define xlibraries /usr/X11R6/%{_lib}
%endif
Url:            http://www.xemacs.org
License:        GPL v2 or later
Group:          Productivity/Editors/Emacs
Obsoletes:      xe_exec
PreReq:         permissions
Requires:       xemacs-info xemacs-packages ctags
Conflicts:      gnuserv
AutoReqProv:    on
Version:        21.5.28.20070807
Release:        24.4
Summary:        XEmacs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Howto get the cvs tree of XEmacs:
# ==============================================
#     cvs -d :pserver:cvs@cvs.xemacs.org:/pack/xemacscvs login
#     Password = cvs
#     cvs -z3 -d :pserver:cvs@cvs.xemacs.org:/pack/xemacscvs checkout xemacs
# Now check what tags are available:
#     cd packages
#     cvs status -v ChangeLog
# And update to the latest xemacs tag:
#     cvs update -r r21-5-16
#     cd ..
# Now make a tar.bz2 file from the contents of the "packages" directory:
#      tar jcvf xemacs-<version>.tar.bz2 xemacs-<version>/
Source0:        ftp://ftp.xemacs.org/xemacs-21.5/xemacs-%{version}.tar.bz2
Source1:        xe-list.el
Source2:        fix-load-history.el
Source3:        xemacs.desktop
Source4:        xemacs.png
Source5:        suse-xft-init.el
Source6:        site-start.el
Patch0:         xemacs.patch
# keep in sync with the similar patch to the app-defaults in the main xemacs-packages package:
Patch3:         xemacs-21.4.8-app-defaults.patch
Patch5:         xemacs-21.4.4-font-menu.patch
Patch13:        xemacs-ia64.dif
Patch14:        ndbm.patch
Patch18:        xemacs-21.4.8-xevent.patch
Patch19:        xemacs-21.4.13-ppc.patch
Patch20:        xemacs-21.4.13-ppc64.patch
Patch22:        destdir.patch
Patch23:        xemacs-ptmx.dif
Patch25:        gnomebug.patch
Patch27:        xemacs-level3.patch
Patch28:        xemacs-21.5.18-movemail.patch
Patch32:        do-not-create-backups-in-temp-directories.patch
Patch33:        set-locale-to-c-when-not-supported-by-x.patch
Patch34:        suppress-warning-about-undefined-unicode-key-mappings.patch
Patch38:        unitialized-variables.patch
Patch40:        cast-pointer-integer-different-size.patch
Patch41:        bugzilla-294746-set-language-unicode-precedence-list-at-startup.patch
Patch42:        build-fix-ccl-load-problem.patch
Patch43:        set-language-unicode-precedence-list.patch
Patch45:        fix-defface-custom-modified-face.patch
Patch53:        xemacs-21.5.29-large-images.patch
Patch292811:    bugzilla-292811-make-x-make-font-bold-italic-xft-work.patch
Patch294746:    bugzilla-294746-support-windows-1252.patch
Patch301352:    bugzilla-301352-fix-wrong-incrementing-in-macros.patch
Patch342158:    bugzilla-342158-buffer-overflow-in-format.patch

%description
This is the current version of XEmacs, formerly known as Lucid-Emacs.
It is related to other versions of Emacs, in particular GNU Emacs. Its
emphasis is on modern graphical user interface support and an open
software development model, similar to Linux.

Lisp macros are not necessarily interchangeable between GNU-Emacs and
XEmacs. This is mainly important for translated .elc files and the key
macros.



Authors:
--------
    Chuck Thompson   <cthomp@cs.uiuc.edu>
    
    Ben Wing <wing@666.com>
    
    and many other contributors

%debug_package
%package     -n xemacs-el
License:        GPL v2 or later
Obsoletes:      xe_lisp
Requires:       xemacs xemacs-packages-el
Summary:        Emacs-Lisp source files for XEmacs
Group:          Productivity/Editors/Emacs
AutoReqProv:    on

%description -n xemacs-el
Most Emacs-Lisp source files are not needed for running XEmacs. Most of
them are also available in byte compiled form and therefore not
necessary at runtime. The true XEmacs addict will install them
nevertheless because it is often useful and enlightening to have a look
at the Lisp sources.



Authors:
--------
    Chuck Thompson   <cthomp@cs.uiuc.edu>
    Ben Wing <wing@666.com>
    and many other contributors

%package     -n xemacs-info
License:        GPL v2 or later
Obsoletes:      xe_info
Requires:       xemacs-packages-info
Summary:        Info Files for XEmacs
Group:          Productivity/Editors/Emacs
AutoReqProv:    on

%description -n xemacs-info
This package contains all info files for XEmacs. All these files can be
read online with XEmacs and describe XEmacs and some of its modes.



Authors:
--------
    Chuck Thompson   <cthomp@cs.uiuc.edu>
    Ben Wing <wing@666.com>
    and many other contributors

%prep
%setup -q -n xemacs-%{version}
%patch3 -p0 -b .appdef
#%patch5 -p1 -b .fontmenu # appears to be not needed anymore
%patch13 -p1
%patch14 -p1
%patch18 -p0 -b .xevent
%patch19 -p1 -b .ppc
%patch20 -p1 
%patch22 -p1
%patch23 -p1
#%patch24 -p1
#triggers #103040
#%patch25 -p1
%patch27 -p1 -b .lvl3
%patch28 -p1 -b .movemail
%patch32 -p1
%patch33 -p1
#%patch34 -p1
%patch38 -p1
%patch40 -p1
%patch41 -p1
#%patch42 -p1
%patch43 -p1
%patch45 -p0
%patch53 -p0
%patch292811 -p1
%patch294746 -p1
%patch301352 -p1
%patch342158 -p1
%patch0 -p1
find lisp/ etc/ -name '*.elc' | xargs -r rm -f
%ifarch ia64
%define enable_pdump 0
%else
%define enable_pdump 1
%endif
%define enable_dump_in_exec 0
%if %suse_version > 1010
%define enable_xft 0%{?opensuse_bs}
%else
%define enable_xft 0
%endif
find . -name CVS -type d | xargs rm -rf
find . -name .cvsignore -type f | xargs rm -f
chmod -R u+w *
# Without making the timestamps equal here, some files will not be
# byte compiled:
find . | xargs touch -r . 

%build
%{?suse_update_config:%{suse_update_config -f}}
#libtoolize --force
#autoreconf --force --install --verbose
#rm configure
autoconf --force
## needed for detection of XFree86[tm]
#touch /etc/XF86Config
VERSION=%{version}
  SHARE=/usr/share
    LIB=/usr/lib
    SYS=${RPM_ARCH}-suse-linux
%ifarch %ix86
# %if %suse_version > 800
#     LOOP="-fprefetch-loop-arrays -funroll-loops"
# %else
#     LOOP='-m486 -malign-loops=2 -malign-jumps=2 -malign-functions=2'
# %endif
%endif
   INFO=${SHARE}/xemacs/info
LIBEXEC=${LIB}/xemacs/${VERSION}
   ARCH=${LIBEXEC}/${SYS}
   DATA=${SHARE}
   LISP=${DATA}/xemacs/${VERSION}/lisp
    ETC=${DATA}/xemacs/${VERSION}/etc
    MOD=${ARCH}/modules
  STATE=/var/lib/xemacs
    MAN=/usr/share/man/man1
 CFLAGS="${RPM_OPT_FLAGS} -Wall -Wno-switch -pipe ${LOOP} -fno-strict-aliasing -DLDAP_DEPRECATED "
%ifarch s390x
 CFLAGS="$CFLAGS -O0"
%endif
# To to the menu translations, add:
# $CFLAGS="$CFLAGS -DPRINT_XLWMENU_RESOURCE_CONVERSIONS "
# this prints the Xresources used for the Menus to stdout
# when the Menus are used. 
LDFLAGS=
export CFLAGS LDFLAGS
#
# Maybe there are emacs and xemacs on the
# same system, therefore put binaries into /usr/X11R6/bin
#
PREFIX="--prefix=/usr \
	--exec-prefix=/usr \
	--bindir=%{xbindir} \
	--datadir=${SHARE} \
	--with-archlibdir=${ARCH} \
	--with-docdir=${ARCH} \
	--with-lispdir=${LISP} \
	--with-etcdir=${ETC} \
	--with-statedir=${STATE} \
	--with-moduledir=${MOD} \
	--infodir=${INFO} \
	--mandir=${MAN} \
"
#
# --with-sound=both requires NAS (Network Audio System)
#
# --with-socks and --with-term needs some nonexisting libs
#                              (maybe included in {g}libc)
# --with-tooltalk needs tt_c.h
# --with-canna needs X11 canna support
# --with-wnn needs X11 wnn support
#
# We need site-lisp because the long time (x)emacs users
# expect something like this.
#
#  --with-system-malloc only for libc.5.4.3x and higher
#
#  when using "--rel-alloc, XEmacs 21.5.18 crashes often when using
#  'compile-goto-error'.
#      --rel-alloc \
SPECIAL="--enable-database=gdbm,berkdb \
	 --with-ncurses \
	 --with-canna \
	 --with-tty=yes \
	 --with-site-lisp \
%ifarch ia64 ppc ppc64 s390x s390 %ix86
	 --disable-mc-alloc \
	 --disable-kkcc \
         --disable-newgc \
%else
	 --with-mc-alloc \
	 --with-kkcc \
         --with-newgc \
%endif
%ifnarch s390
	 --enable-sound=native \
	 --with-gpm \
%endif
%if %enable_pdump
	 --enable-pdump \
%if %enable_dump_in_exec
         --enable-dump-in-exec \
%else
	 --disable-dump-in-exec \
%endif
%else
	 --enable-pdump=no \
%endif
%if %enable_xft
         --with-xft=emacs,tabs,gauges \
%endif
"
#
# Graphics and X window system
#  * --with-cde needs Motif
#
X11="--with-xpm \
     --with-gif \
     --with-tiff \
     --with-jpeg \
     --with-png \
     --with-x \
     --with-athena=3d \
     --enable--menubars=lucid \
     --enable-scrollbars=lucid \
     --enable-dialogs=athena \
     --enable-widgets=athena \
     --x-includes=%{xincludes} \
     --x-libraries=%{xlibraries} \
"
#
# Mail
#  * --mail-locking should be self detected
#  * --with-xface requires compface library
#
MAIL="--enable-clash-detection \
      --with-ldap \
      --with-pop
"
#
# Mule
#
#  --with-xfs   Compile with XFontSet support for bilingual menubar.
#               Can't use this option with --with-xim=motif or xlib.
#               And should have --with-menubars=lucid.
#
#               (this is necessary to get German, French, Japanese
#               and Romanian texts in the menus. It DOES work with
#               --with-xim=xlib, the above comment from './configure --help'
#               seems to be incorrect in that respect.)
#
MULE="--enable-mule \
      --with-xim=xlib \
      --with-xfs \
"
#
# Compilation
#
COMP="--with-gcc \
      --with-dynamic \
      --with-debug \
      --enable-error-checking=none \
      --with-cflags=\"${CFLAGS}\" \
      --with-ldflags=\"${LDFLAGS}\" \
"
eval ./configure $SYS $COMP $PREFIX $SPECIAL $X11 $MULE $MAIL
make %{?jobs:-j %jobs}

%install
set +o posix
#
mkdir -p $RPM_BUILD_ROOT/usr/share/xemacs/site-lisp/lisp
mkdir -p $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/term
mkdir -p $RPM_BUILD_ROOT/var/lib/xemacs/lock
chmod 1777 $RPM_BUILD_ROOT/var/lib/xemacs/lock
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT%{xbindir}/xemacs-21.?-??? $RPM_BUILD_ROOT%{xbindir}/xemacs
# fix up the load-history to make it possible to use find-function
# on functions which are in dumped lisp files, even if XEmacs was not
# dumped at the place where it is finally running. 
# 
# Suggested by Jeff Mincy <jeff@delphioutpost.com>, see:
# 
# http://list-archive.xemacs.org/xemacs-design/200204/msg00365.html
#
# Test whether this works by evaluating (find-function 'next-line)
# 
install -m 644 $RPM_SOURCE_DIR/fix-load-history.el \
               $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/
rm -rf $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/src/
rm -rf $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/lib-src/
rm -f  $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/Installation
######################################################################
test -L $RPM_BUILD_ROOT%{xbindir}/xemacs && \
    rm  $RPM_BUILD_ROOT%{xbindir}/xemacs
ver=%{version}
test -x $RPM_BUILD_ROOT%{xbindir}/xemacs-${ver%%.*}-b${ver##*.} && \
    mv  $RPM_BUILD_ROOT%{xbindir}/xemacs-${ver%%.*}-b${ver##*.} $RPM_BUILD_ROOT%{xbindir}/xemacs
chmod 1755 $RPM_BUILD_ROOT%{xbindir}/xemacs
for f in $RPM_BUILD_ROOT/usr/man/man1/*.1 \
         $RPM_BUILD_ROOT/usr/share/man/man1/*.1 \
	 $RPM_BUILD_ROOT/usr/share/xemacs/info/*info* \
	 $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/etc/*.1 \
	 $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/etc/mule/*.1
do
    test "${f##*.}" = "gz" && continue
    test -e $f || continue
    gzip -9f $f
done
find $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/ -name '*.el.ediff' | xargs -r rm -f
find $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/ -name '*.el.orig'  | xargs -r rm -f
find $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/ -name '*.el.vm'    | xargs -r rm -f
# ctags and etags are part of the ctags package
# b2m and rcs-checkin are in the emacs package.
# As all binaries are in /usr/bin/ with X11R7, xemacs would conflict
# with emacs if xemacs packaged b2m and rcs-checkin as well.
# Therefore we remove them from the xemacs package here.
# They are rarely needed anyway.
rm -f $RPM_BUILD_ROOT%{xbindir}/ctags \
      $RPM_BUILD_ROOT%{xbindir}/etags \
      $RPM_BUILD_ROOT%{xbindir}/b2m \
      $RPM_BUILD_ROOT%{xbindir}/rcs-checkin \
      $RPM_BUILD_ROOT/usr/share/man/man1/ctags.1.gz \
      $RPM_BUILD_ROOT/usr/share/man/man1/etags.1.gz \
      $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/etc/ctags.1.gz \
      $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/etc/etags.1.gz
# Some .elc's are not needed:
find  $RPM_BUILD_ROOT/usr/share/xemacs/ -name '_pkg.elc'   | xargs -r rm -f
find  $RPM_BUILD_ROOT/usr/share/xemacs/ -name 'auto-autoloads.el?' | xargs -r rm -f
find  $RPM_BUILD_ROOT/usr/lib/xemacs/   -name 'auto-autoloads.el?' | xargs -r rm -f
rm -f $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/lisp/default.elc
rm -f $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/lisp/vm/vm.elc
#if test -e /usr/share/xemacs/%{version}/lisp/xpm-button.el -a \
#	-e /usr/share/xemacs/%{version}/lisp/xemacs-base/xpm-button.el
#then
#      rm -f /usr/share/xemacs/%{version}/lisp/xpm-button.el
#      rm -f /usr/share/xemacs/%{version}/lisp/xpm-button.elc
#fi
# no .origs
rm -f $RPM_BUILD_ROOT/usr/share/xemacs/info/xemacs-faq.info.orig*
#
# Make TUTORIAL's visible
for t in $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/etc/mule/TUTORIAL.* ; do
      test -e $t || break
      test -e $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/etc/${t##*/} && rm -f $t
      test -e $t && mv $t $RPM_BUILD_ROOT/usr/share/xemacs/%{version}/etc/${t##*/}
done
# install the standard app-defaults file used for all languages
# which don't have their own app-defaults file above:
mkdir -p $RPM_BUILD_ROOT%{appdefdir}/app-defaults/
install -m 644 etc/Emacs.ad $RPM_BUILD_ROOT%{appdefdir}/app-defaults/XEmacs
# SuSE extension
install -m 0644 $RPM_SOURCE_DIR/site-start.el $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/
install -m 0644 $RPM_SOURCE_DIR/suse-xft-init.el $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/
install -m 0644 site-packages/lisp/term/func-keys.el $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/term/
install -m 0644 site-packages/lisp/term/linux.el $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/term/
install -m 0644 site-packages/lisp/term/xterm.el $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/term/
install -m 0644 site-packages/lisp/term/gnome.el $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/term/
install -m 0644 site-packages/lisp/term/kvt.el   $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/term/
./src/xemacs -batch -no-site-file -vanilla -f batch-byte-compile $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/term/*.el
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/xemacs
install -m 0644 suse/README.SuSE $RPM_BUILD_ROOT/%{_docdir}/xemacs/README.SuSE
ln -sf  /usr/share/xemacs/%{version}/etc $RPM_BUILD_ROOT/%{_docdir}/xemacs/etc
#
# replace buildroot in comments in .elc files by spaces with the same total length:
RPM_BUILD_ROOT_REPLACEMENT=$(echo "$RPM_BUILD_ROOT" | tr '[:print:]' ' ')
for i in $(find $RPM_BUILD_ROOT -name "*.elc")
do
    perl -pi -e "s|(;;; from file )$RPM_BUILD_ROOT(/usr/share/xemacs/.*)|\1$RPM_BUILD_ROOT_REPLACEMENT\2|" $i
done
#
# gzip .el files: (doesn't completely work for me yet -> later)
#for i in $(find $RPM_BUILD_ROOT -name "*.el")
#do
#    gzip --best $i
#done
#
( find $RPM_BUILD_ROOT \
       \( \( \( -not -type d \) -a \( -not -type l \) \) -printf '%%p\n' \) -o \
       \( -type d -printf '%%p/\n' \) -o \( -type l -printf '%%p\n'  \) ;  \
  find $RPM_BUILD_ROOT/usr/share/xemacs/ $RPM_BUILD_ROOT/usr/lib/xemacs/ -type f -o -type l )     |  \
       grep -v "/usr/share/xemacs/%{version}/etc" | \
       sort -t /| uniq | perl -p -e "s|$RPM_BUILD_ROOT||" > xe-list
./src/xemacs -batch -no-site-file -l $RPM_SOURCE_DIR/xe-list.el -f xe-list-generate-list-files
cat xe-list-el-without-elc xe-list-elc-without-el xe-list-elc-with-el \
    >> xe-list-el-without-elc_xe-list-elc-without-el_xe-list-elc-with-el
##
# install desktop file
%suse_update_desktop_file -i xemacs TextEditor
##
# do no include header files because RPMLINT complains about header files in non-devel
# packages:
rm -rf $RPM_BUILD_ROOT/usr/lib/xemacs/%{version}/*-suse-linux/include/

%post
%run_permissions
%verifyscript
%if %suse_version > 920
%verify_permissions -e %{xbindir}/xemacs -e /var/lib/xemacs/lock
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xe-list-el-without-elc_xe-list-elc-without-el_xe-list-elc-with-el
%defattr(-,root,root)
/usr/share/applications/xemacs.desktop
%if %suse_version > 920
/usr/share/pixmaps/xemacs.png
%endif
%{xbindir}/ellcc
%{xbindir}/gnuattach
%{xbindir}/gnuclient
%{xbindir}/gnudoit
%{xbindir}/ootags
%verify(not mode) %{xbindir}/xemacs
%if %enable_pdump
%if !%{enable_dump_in_exec}
%{xbindir}/xemacs*.dmp
%endif
%endif
%{appdefdir}/app-defaults/XEmacs
%dir /usr/lib/xemacs
%dir /usr/lib/xemacs/%{version}
%dir /usr/lib/xemacs/%{version}/*-suse-linux/
/usr/lib/xemacs/%{version}/*-suse-linux/DOC
/usr/lib/xemacs/%{version}/*-suse-linux/add-big-package.sh
/usr/lib/xemacs/%{version}/*-suse-linux/config.values
/usr/lib/xemacs/%{version}/*-suse-linux/cvtmail
/usr/lib/xemacs/%{version}/*-suse-linux/digest-doc
/usr/lib/xemacs/%{version}/*-suse-linux/fakemail
/usr/lib/xemacs/%{version}/*-suse-linux/gnuserv
/usr/lib/xemacs/%{version}/*-suse-linux/gzip-el.sh
/usr/lib/xemacs/%{version}/*-suse-linux/hexl
/usr/lib/xemacs/%{version}/*-suse-linux/make-docfile
/usr/lib/xemacs/%{version}/*-suse-linux/mmencode
%dir /usr/lib/xemacs/%{version}/*-suse-linux/modules/
/usr/lib/xemacs/%{version}/*-suse-linux/modules/*.ell
/usr/lib/xemacs/%{version}/*-suse-linux/movemail
/usr/lib/xemacs/%{version}/*-suse-linux/profile
/usr/lib/xemacs/%{version}/*-suse-linux/rcs2log
/usr/lib/xemacs/%{version}/*-suse-linux/sorted-doc
/usr/lib/xemacs/%{version}/*-suse-linux/vcdiff
/usr/lib/xemacs/%{version}/*-suse-linux/wakeup
/usr/lib/xemacs/%{version}/*-suse-linux/yow
%dir /usr/lib/xemacs/site-modules/
%dir %{_docdir}/xemacs/
%doc %{_docdir}/xemacs/README.SuSE
%{_docdir}/xemacs/etc
%doc /usr/share/man/man1/gnuattach.1.gz
%doc /usr/share/man/man1/gnuclient.1.gz
%doc /usr/share/man/man1/gnudoit.1.gz
%doc /usr/share/man/man1/gnuserv.1.gz
%doc /usr/share/man/man1/xemacs.1.gz
%dir /usr/share/xemacs/
%dir /usr/share/xemacs/%{version}/
%dir /usr/share/xemacs/%{version}/etc/
/usr/share/xemacs/%{version}/etc/*
%dir /usr/share/xemacs/%{version}/lisp/
%doc /usr/share/xemacs/%{version}/lisp/ChangeLog*
%doc /usr/share/xemacs/%{version}/lisp/README
%dir /usr/share/xemacs/%{version}/lisp/mule/
%doc /usr/share/xemacs/%{version}/lisp/mule/mule-locale.txt
%dir /usr/share/xemacs/%{version}/lisp/term
%doc /usr/share/xemacs/%{version}/lisp/term/README
%dir /usr/share/xemacs/site-packages/
%dir /usr/share/xemacs/site-packages/lisp/
%dir /usr/share/xemacs/site-packages/lisp/term/
%dir /usr/share/xemacs/site-lisp/
%dir /usr/share/xemacs/site-lisp/lisp/
%dir /var/lib/xemacs/
%dir %verify(not mode group) %attr(-,root,trusted) /var/lib/xemacs/lock/

%files       -n xemacs-info
%defattr(-,root,root)
%dir /usr/share/xemacs/
%dir /usr/share/xemacs/info/
%doc /usr/share/xemacs/info/*

%files       -n xemacs-el -f xe-list-el-with-elc
%defattr(-,root,root)
%dir /usr/share/xemacs/
%dir /usr/share/xemacs/%{version}/lisp/
%dir /usr/share/xemacs/%{version}/lisp/mule/
%dir /usr/share/xemacs/%{version}/lisp/term/
%dir /usr/share/xemacs/site-packages/
%dir /usr/share/xemacs/site-packages/lisp/
%dir /usr/share/xemacs/site-packages/lisp/term/

%changelog
* Thu Jul 23 2009 - werner@suse.de
- Add patch for security issue bnc#522586 about multiple integer
  overflows during parings large images
* Tue Jan 22 2008 - mfabian@suse.de
- Bugzilla #342158: fix buffer overflow in format function.
  Fixed by Aidan Kehoe <kehoea@parhasard.net>:
  doprnt.c:
  Default to a buffer size of 350 for the sprintf call, but increase
  it if the precision and minwidth indicate that it should be
  bigger. Issue reported by Hans de Graaff; bug originally fixed by
  Sebastian Freundt in SXEmacs following the change I merged on
  2006-11-28. Forks have their disadvantages.
* Tue Sep 04 2007 - mfabian@suse.de
- Bugzilla #307313: use (mwheel-install) to enable mouse wheel
  support and remove the old hacks for mouse wheel support from
  /usr/share/xemacs/site-packages/lisp/term/func-keys.el.
* Mon Aug 27 2007 - mfabian@suse.de
- Bugzilla #299941: don’t use the obsolete GNU Emacs icon, use
  an XEmacs specific icon instead.
* Tue Aug 21 2007 - mfabian@suse.de
- Bugzilla #301352: fix wrong incrementing in macros in mule-ccl.c.
* Tue Aug 07 2007 - mfabian@suse.de
- update to 21.5.28.20070807.
- remove w3-xft-problem.patch (included now).
- UTF-8 and UTF-16 handling is now more robust, for example
  when a non-UTF-8 file is opened as UTF-8, one change made,
  and immediately saved, the non-ASCII characters are not
  corrupted.
* Fri Aug 03 2007 - mfabian@suse.de
- update to 21.5.28.20070803.
- add patch by Aidan Kehoe to make ‘w3’ work in an Xft build
  (see http://thread.gmane.org/gmane.emacs.xemacs.beta/25191).
* Wed Aug 01 2007 - mfabian@suse.de
- fix build of xemacs-packages
- add missing UTF-8 language environments in site-start.el
- add set-language-unicode-precedence-list.patch to improve
  the unicode precedence mapping. Nevertheless it is still
  necessary to call ‘set-language-unicode-precedence-list’
  in site-start.el because the call to this function
  in startup.el to get '”' U+201D (RIGHT DOUBLE QUOTATION MARK)
  treated as single width overrides the call to that function
  from the setup of the language environment.
  But at least changing language enviromnents later doesn't
  mess up the precedence list any more.
* Mon Jul 30 2007 - mfabian@suse.de
- update to 21.5.28.20070730
- remove bugzilla-293109-w3m-el-under-xemacs-cannot-display-utf-8-encoded-web-pages-containing-fffd.patch
  (included upstream).
- set language-unicode-precedence-list in startup.el to get
  characters like '”' U+201D (RIGHT DOUBLE QUOTATION MARK)
  treated as single width consistently.
* Thu Jul 26 2007 - mfabian@suse.de
- Bugzilla #294746: update to 21.5.28.20070726 to
  get support for windows-1252 encoding.
- remove xemacs-vendor.path (included upstream).
* Wed Jul 25 2007 - mfabian@suse.de
- Bugzilla #293109: map the problematic characters in Big5 to
  the private use area instead of not mapping them at all.
* Fri Jul 20 2007 - mfabian@suse.de
- Bugzilla #293109: don't map U+FFFD to Big5 to make it display
  correctly.
* Wed Jul 18 2007 - mfabian@suse.de
- Bugzilla #292811: make the function 'x-make-font-bold-italic-xft'
  work.
* Wed Jul 18 2007 - mfabian@suse.de
- fix the hack in fix-load-history.el to fix the load history
  which made it possible to use find-function on functions which
  are in dumped lisp files, even if XEmacs was not dumped at the
  place where it is finally running. This hack stopped working
  because the variable 'build-history' now exists already
  and therefore the 'defvar' in fix-load-history failed to set
  its value. Renamed the variable to suse-build-directory.
* Mon Jul 16 2007 - mfabian@suse.de
- enable Xft only for openSUSE >= 10.2.
* Fri Jul 13 2007 - mfabian@suse.de
- enable the use of Xft if XEmacs is built in the openSUSE
  build service (keep using X11 core fonts when XEmacs is built
  in autobuild).
- add some suse-xft-init.el to do some default Xft font setup.
* Thu Jul 12 2007 - mfabian@suse.de
- add "Conflicts: gnuserv" (XEmacs already has it's own version
  of gnuserv).
* Fri Jul 06 2007 - coolo@suse.de
- fixing the file list
* Thu Jul 05 2007 - coolo@suse.de
- put desktop file and icon into package
* Mon Jun 04 2007 - mfabian@suse.de
- Bugzilla #279822: fix typo in site-start.el to make XEmacs
  start properly in Portuguese locale. Thanks to
  Felipe Bugno <necron@bol.com.br> for the fix.
* Fri Jun 01 2007 - dmueller@suse.de
- adjust BuildRequires
* Thu May 31 2007 - mfabian@suse.de
- update to 21.5.28.
- remove header files to stop RPMLINT complaining about
  header files in non-devel packages.
* Tue May 08 2007 - schwab@suse.de
- Repair ia64 configuration.
* Mon May 07 2007 - mfabian@suse.de
- update to 21.5.27.20070507. From the CHANGES-beta file:
  • Get X11 window property correctly on 64-bit platforms
  (bugzilla #244613) -- Stephen J. Turnbull, Mike Fabian,
  Takashi Iwai
  • Test for ISO-2022 decoder not choking on invalid UTF-8
    -- Aidan Kehoe
  • Get Unicode tables with permissive license
    -- Stephen J. Turnbull, Mike Fabian (see bug #212630)
- remove xemacs-autoconf.patch (included upstream).
- remove bugzilla-244613-cut-paste-64bit-non-ascii.patch
  (included upstream).
* Mon Mar 26 2007 - rguenther@suse.de
- Add gdbm-devel, gpm and ncurses-devel BuildRequires.
* Wed Feb 14 2007 - mfabian@suse.de
- Bugzilla #244613: Fix cut & paste problems on 64 bit platforms
  by using XGetWindowProperty() correctly.
* Mon Sep 25 2006 - mfabian@suse.de
- Bugzilla #207941: add "texinfo" to BuildRequires.
* Mon Aug 07 2006 - mfabian@suse.de
- adapt for Xorg X11R7 (paths changed).
- remove b2m and rcs-checkin to avoid conflict with the emacs
  package when all binaries are in /usr/bin.
* Wed Jul 19 2006 - mfabian@suse.de
- update to 21.5.27.20060705
  + remove sentinel.patch (included upstream).
  + remove suppress-warning-about-undefined-unicode-key-mappings.patch
  (obsolete).
  + remove fix-wrong-use-of-memset.patch (included upstream).
* Tue Jul 18 2006 - schwab@suse.de
- Fix broken use of autoconf internal macros.
* Thu Jun 15 2006 - dmueller@suse.de
- build parallel
* Mon Mar 27 2006 - mfabian@suse.de
- update to 21.5.25.20060327 to make xemacs build on x86_64 again,
  and make xemacs-packages build again on ppc64.
* Mon Mar 27 2006 - mfabian@suse.de
- fix wrong use of memset.
- use "--disable-mc-alloc --disable-kkcc --disable-newgc" on
  i386 architecture as well.
* Mon Mar 06 2006 - mfabian@suse.de
- update to 21.5.25. Fixes:
  + bugzilla #141126 (XEmacs 21.5.24 doesn't read localized
  app-defaults)
  + bugzilla #145121 (XIM doens't work anymore in XEmacs)
  + bugzilla #143515 (XEmacs crashes when loading a UTF-8 encoded
  Japanese file)
- Bugzilla #155506:
  add configure option "--with-canna", the auto-detection of canna
  seems to be broken but when enabling canna explicitly it works.
* Thu Feb 16 2006 - mfabian@suse.de
- uninitialized-variables-2.patch, see
  http://list-archive.xemacs.org/xemacs-beta/200602/msg00026.html
* Fri Feb 10 2006 - coolo@suse.de
- uncommenting workaround for metacity bug (#suse457777) triggering
  shrinking loop under KDE (#103040)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 27 2005 - mfabian@suse.de
- update to 21.5.24.
- remove xemacs-21.5.21-ia64.patch (included upstream).
* Fri Oct 07 2005 - mfabian@suse.de
- add option "-no-site-file" when calling xemacs from the
  .spec file (requested by user Dieter Jurzitza). Not necessary
  when building in chroot but it cannot hurt.
* Thu Oct 06 2005 - mfabian@suse.de
- add a few directories to the file lists to make sure
  that no empty directories below /usr/share/xemacs remain
  when xemacs, xemacs-el, and xemacs-info are uninstalled.
* Wed Oct 05 2005 - werner@suse.de
- Use old LDAP interface
* Mon Sep 19 2005 - mfabian@suse.de
- update to 21.5.22.
* Thu Sep 08 2005 - mfabian@suse.de
- Bug 115362 - xemacs startup info not disappearing:
  remove X-KDE-WMClass=emacs entry from xemacs.desktop.
* Tue Sep 06 2005 - yxu@suse.de
- fixed conflicting type definition
* Tue Aug 16 2005 - mfabian@suse.de
- Bugzilla #104973: add --disable-mc-alloc --disable-kkcc
  configure options again because with these options the build
  of "xemacs-packages" fails on x86_64.
* Mon Aug 01 2005 - mfabian@suse.de
- bugzilla #98715: xemacs-*.dmp file is needed again because
  'mc-alloc' is used now and it is wasteful to dump into the
  executable when using mc-alloc.
- add extents.c.diffs by Darryl Okahata to fix some crashes
  in the garbage collector on 64 bit systems. See also:
  http://list-archive.xemacs.org/xemacs-beta/200507/msg00346.html
- avoid compiler warnings about uninitalized variables.
* Thu Jul 21 2005 - mfabian@suse.de
- update to 21.5.21.20050721.
  + remove --disable-mc-alloc  --disable-kkcc configure options.
* Tue Jul 12 2005 - mfabian@suse.de
- update Aidan's keysym-handling patch to latest version.
* Thu Jun 23 2005 - mfabian@suse.de
- Bugzilla #77957: support UXXXX keysyms better by applying
  aidan-kehoe-clean-up-keysym-handling.patch instead of the hack
  in site-start.el. Aidan's patch has the advantage that the
  cursor keep working in a terminal even when XEmacs was started
  under X11 and later another frame was opened in a terminal
  with 'gnuclient -nw'. See also:
  http://list-archive.xemacs.org/xemacs-patches/200505/msg00127.html
* Fri Jun 17 2005 - mfabian@suse.de
- Improve workaround to support more Unicode characters.
  (more systematic approach which increases the number of
  supported characters a lot).
* Wed Jun 15 2005 - mfabian@suse.de
- With the hack to fix Bugzilla #77957 better, the cursor keys
  stop working when xemacs is started in a terminal. Apply that
  hack only when running under X11.
* Mon Jun 13 2005 - mfabian@suse.de
- Bugzilla #77957: Better solution, add all keysyms of the type
  UXXXX to the global-map when they are first used.
- suppress warning about "Undefined Unicode key mappings" because
  all of them are defined now.
- Bugzilla #90350: xemacs should not crash when a locale is not
  supported by Xlib. Set locale to C instead and show a warning.
* Thu Jun 09 2005 - mfabian@suse.de
- Bugzilla #77957: I forgot to add some characters from U+00A1 to
  U+00FF to preloaded-unicode-key-translations, for example U+00FC
  (LATIN SMALL LETTER U WITH DIAERESIS) was missing. Thanks
  to Reinhard Max <max@suse.de> for reporting.
* Tue Jun 07 2005 - mfabian@suse.de
- Bugzilla #87362: "xemacs cannot edit crontabs":
  add do-not-create-backups-in-temp-directories.patch.
* Thu Jun 02 2005 - mfabian@suse.de
- update to 21.5.21.
- remove always-load-correct-app-defaults.patch, XEmacs
  uses the application class "XEmacs" by default now.
- update destdir.patch
- use configure options "--disable-mc-alloc" "--disable-kkcc"
  for now, when using the new allocation scheme and the new
  garbage collector, I cannot build XEmacs anymore on x86_64.
* Tue May 17 2005 - schwab@suse.de
- Update ia64 patch.
* Fri May 13 2005 - mfabian@suse.de
- update to 21.5.20.
- jamie-zawinski-selection-fix.patch, aidan-kehoe-iso8859-16.patch
  not necessary anymore.
* Tue Apr 26 2005 - mfabian@suse.de
- add workaround support for more unicode characters,
  especially for those needed for IPA.
* Thu Apr 14 2005 - mfabian@suse.de
- Bugzilla #77957: add all characters from U+00A1 to U+00FF to
  preloaded-unicode-key-translations.
* Mon Apr 04 2005 - aj@suse.de
- Fix GCC4 sentinel warnings.
* Mon Mar 07 2005 - mfabian@suse.de
- add a few more characters to preloaded-unicode-key-translations
  in site-start.el to be able to input all common quotation-marks.
* Fri Mar 04 2005 - mfabian@suse.de
-  add workaround to support some Unicode characters which are in
  no legacy charset. See also:
  http://cvs.xemacs.org/viewcvs.cgi/XEmacs/xemacs/src/unicode.c.diff?r1=1.25&r2=1.26
* Wed Mar 02 2005 - mfabian@suse.de
- add workaround for input of characters like
  U+201E DOUBLE LOW-9 QUOTATION MARK.
* Thu Feb 17 2005 - mfabian@suse.de
- fix cut-and-paste problem when pasting Japanese
  from xpdf to XEmacs. Patch by Jamie Zawinski, slighly adapted
  for XEmacs 21.5.18, see also:
  http://list-archive.xemacs.org/xemacs-beta/200407/msg00158.html
* Sun Feb 13 2005 - ro@suse.de
- remove .orig file for xemacs-faq
* Fri Feb 11 2005 - mfabian@suse.de
- improve i18n-setup in site-start.el:
  + try to set a useful language-environment by default and
  fix the unicode-precedence-list if it is broken after
  set-language-environment.
  + more encoding setup necessary for XEmacs >= 21.5.6
- add patch from upstream CVS by Aidan Kehoe to support
  iso8859-16 (adds support for characters like
  U+201E DOUBLE LOW-9 QUOTATION MARK)
* Thu Feb 10 2005 - mfabian@suse.de
- remove configure option "--rel-alloc" because it makes
  XEmacs 21.5.18 often crash when using 'compile-goto-error'.
* Sat Feb 05 2005 - schwab@suse.de
- Fix format string bug in movemail.
* Fri Feb 04 2005 - werner@suse.de
- Security fix for movemail applied (bug #50237)
* Tue Feb 01 2005 - mfabian@suse.de
- don't use LDFLAGS="-s", otherwise the xemacs-debuginfo package
  will be empty.
- improve fontSet in app-defaults to avoid the warning
  "Missing charsets in String to FontSet conversion".
- remove unused utf8-problem.patch
* Fri Dec 31 2004 - mfabian@suse.de
- improve DESTDIR patch.
* Tue Dec 14 2004 - werner@suse.de
- Make it build
* Fri Dec 10 2004 - mfabian@suse.de
- update to 21.5.18.
- remove xemacs-lim_data.patch (now included).
- include the fixes Werner Fink made for XEmacs 21.4.15
  (see changelog entries below from Tue Sep 28 to Wed Nov 17).
* Wed Nov 17 2004 - werner@suse.de
- Add emacs.png pixmap to file list
* Wed Oct 13 2004 - werner@suse.de
- Add workaround for XKey modifier detection even if the keys
  are not marked as modifiers (bug #47192)
* Mon Oct 04 2004 - werner@suse.de
- Do not break KDE resize back call with GNOME fix (bug #46751)
* Tue Sep 28 2004 - werner@suse.de, mfabian@suse.de
- Bugzilla #45777 (xemacs in metacity can not be maximized).
- Bugzilla #46313 (mouse wheel broken in XEmacs).
* Fri Sep 24 2004 - mfabian@suse.de
- Bugzilla #46085: move encoding setup code from func-keys.el
  to site-start.el and clean it up a bit. site-start.el is
  *always* read and it is read late enough for the encoding setup,
  there is no need for using hooks when doing this in
  site-start.el.
* Mon Sep 06 2004 - schwab@suse.de
- Fix ia64 patch.
* Mon Mar 22 2004 - mfabian@suse.de
- Bugzilla: #36720 read correct app-defaults. I.e., *always*
  read /usr/X11R6/lib/app-defaults/XEmacs and never read
  /usr/X11R6/lib/app-defaults/Emacs. Until now, XEmacs did read
  /usr/X11R6/lib/app-defaults/XEmacs if any "XEmacs" resources
  were set in ~/.Xresources, otherwise it did read
  /usr/X11R6/lib/app-defaults/Emacs. But the latter file is
  incompatible to XEmacs and should never be read.
- use -adobe-helvetica-bold-* instead of -gnu-unifont- by default
  for the menus because most users like it better.
* Tue Mar 09 2004 - mfabian@suse.de
- adapt Werner's patch for xemacs 21.5.16.
* Mon Mar 08 2004 - werner@suse.de
- Make workaround to a real fix: autoconf 2.59 does not accept
  comments after cpp undef macro within config.h.in
* Fri Mar 05 2004 - werner@suse.de
- Add workaround for stat64 kernel problem and failing
  (auto)configure sed parser.
* Fri Feb 27 2004 - mfabian@suse.de
- don't require 'un-define anymore in the site specific startup
  code, XEmacs >= 21.5.6 has internal Unicode support. Add a
  (provide 'un-define) because a user might have a
  (require 'un-define) in his own startup files.
* Tue Feb 24 2004 - mfabian@suse.de
- move site-start.el and other SuSE specific startup files from
  /usr/share/xemacs/%%{version}/site-packages/lisp to
  /usr/share/xemacs/site-packages/lisp because site-start.el
  is not loaded anymore automatically from the old location.
- change 'set-default-coding-systems to
  'set-default-output-coding-systems in func-keys.el, apparently
  this function has been renamed upstream.
* Mon Feb 23 2004 - mfabian@suse.de
- update to 21.5.16.
* Sun Feb 22 2004 - mfabian@suse.de
- add missing directories to file list of xemacs-el.
  This makes it possible to use "build" instead of
  "build --clean".
* Fri Feb 20 2004 - mfabian@suse.de
- add destdir.patch and use buildroot and norootforbuild.
- some cleanup of the .spec file.
* Mon Feb 16 2004 - mfabian@suse.de
- disable patch for Bugzilla #34430, it does have nasty side
  effects (xemacs-packages doesn't build anymore because an
  "out of memory" error while byte-compiling Mule-UCS, ...)
- use a better workaround to fix the load-history instead of
  dumping XEmacs twice.
* Sat Feb 14 2004 - mfabian@suse.de
- fix Bugzilla #34430 (I hope).
* Thu Feb 12 2004 - mfabian@suse.de
- update to 21.4.15.
- use -fno-strict-aliasing
* Wed Jan 21 2004 - meissner@suse.de
- ppc64 fully fixed.
* Tue Jan 20 2004 - meissner@suse.de
- Fixed ppc linker script, added ppc64 patch from emacs.
  ppc32 working, ppc64 now fails a bit later.
* Mon Nov 03 2003 - schwab@suse.de
- Don't use "portable" dumper on ia64.
- Fix permissions.
* Tue Sep 02 2003 - werner@suse.de
- Fix the fix: make function keys work again (bug #29654)
* Mon Aug 25 2003 - werner@suse.de
- Fix key modifier handling, there is no slot handling
  anymore but every symbol has a type (e.g. Ctr-Alt) (bug #28995)
* Sat Aug 23 2003 - mfabian@suse.de
- install desktop file only %%if %%suse_version > 820
  to make it build on older distributions as well.
* Fri Aug 22 2003 - mfabian@suse.de
- update to 21.4.13 "Rational FORTRAN".
* Fri Aug 22 2003 - mfabian@suse.de
- remove mule-ucs-xemacs and Mule-UCS-xemacs from "Provides:"
  and "Obsoletes:" (moved to xemacs-packages).
* Thu Aug 21 2003 - mfabian@suse.de
- split new packages out of xemacs{,-el,-info}:
  xemacs-packages{,-el,-info}
* Sat Aug 16 2003 - adrian@suse.de
- install desktop file from kappfinder
* Fri Jul 25 2003 - mfabian@suse.de
- fix race condition when generating the file list.
* Tue Jun 24 2003 - ro@suse.de
- added directories to filelist
* Tue Jun 24 2003 - ro@suse.de
- fixed filelist
* Thu Mar 13 2003 - mfabian@suse.de
- Bug #25300: call 'latin-unity-install' for non-UTF-8 locales in
  site-packages/lisp/term/func-keys.el to write files in
  iso-8859-15 encoding correctly without inserting
  ISO-2022 escape sequences. Don't call it in UTF-8 locales!
  If 'latin-unity-install' is called in a UTF-8 locale,
  the behaviour of the coding systems "binary" and "no-conversion"
  becomes strange, they convert to UTF-8 when writing files
  with German umlauts, which is surprising for "binary".
* Thu Mar 06 2003 - kukuk@suse.de
- Remove cyrus-sasl from neededforbuild
* Fri Feb 28 2003 - mfabian@suse.de
- fix Bugzilla #23472:
  generate /usr/share/xemacs/xemacs-packages/info/dir and
  /usr/share/xemacs/mule-packages/info/dir and include them
  in the xemacs-info package.
* Fri Feb 28 2003 - mfabian@suse.de
- include latest changes by Ben <ben@xemacs.org> to edebug
  to make it work again. The edebug as included in
  sumo-2003-02-05 doesn't work at all.
- improve Werner's func-keys.el
  (make XIM work right ja_JP.UTF-8 locale, load latin-unity
  and latin-euro-input, append the coding-system setup stuff to
  'before-init-hook instead of adding it at the beginning because
  'mule-init is already in 'before-init-hook)
* Wed Feb 26 2003 - werner@suse.de
- Fix coding system settings: use the correct value
* Fri Feb 14 2003 - schwab@suse.de
- Fix data limit check.
* Thu Feb 06 2003 - mfabian@suse.de
- update packages to sumo-2003-02-05
  (fixes the problem that XEmacs didn't automatically switch
  to c++-mode, perl-mode, etc. anymore. The initial values of
  interpreter-mode-alist and auto-mode-alist are rather short
  now and are dynamically changed when a package is loaded. To
  make this work a sufficiently uptodate Sumo was necessary).
- disable packages-cvs-sumo-2002-09-19-comint.patch again, XEmacs
  shell-mode works better with TERM=emacs and Werner added the
  emacs entry to terminfo again.
- remove hunks which are included upstream from
  packages-cvs-xemacs-sumo-2002-05-22-locale-start.patch
  packages-cvs-sumo-2002-09-19-xslt-process.patch
* Thu Jan 30 2003 - mfabian@suse.de
- update to 21.4.12
- add packages-cvs-sumo-2002-09-19-comint.patch:
  (defvar system-suse-terminfo t) to use TERM=dumb by default
  like GNU Emacs does. The previous default was TERM=emacs, which
  doesn't exist in the latest terminfo.
* Mon Dec 16 2002 - mfabian@suse.de
- workaround for fontSet problem in app-defaults:
  use "XEmacs*fontSet:" instead of just "*fontSet:" in the
  app-defaults files.
- workaround to avoid dumping the paths to lisp files
  as /usr/src/packages/BUILD/... into the xemacs executable adapted
  for the portable dumper
* Fri Dec 13 2002 - mfabian@suse.de
- add /usr/X11R6/bin/xemacs-%%{version}-*.dmp to file list.
* Fri Dec 13 2002 - mfabian@suse.de
- update to 21.4.11rc1
- update Sumo to 2002-09-19
- remove parts of packages-cvs-xemacs-sumo-2002-03-29-ps-print.patch
  which are included upstream
- use portable dumper by default
- fix Makefiles of xslt-process
* Thu Dec 12 2002 - coolo@suse.de
- use libndbm instead of libgdbm for non-GNU dbm
* Wed Nov 20 2002 - schwab@suse.de
- More autoconf fixes.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Aug 19 2002 - mfabian@suse.de
- quick and dirty fix to make it build again.
  The Makefile in the 'locale' package lists 3 .elc files with
  the same name in different subdirectories. 'make install'
  tries to copy them all into the same destination directory:
  cp -af {ja,ro,fr}/locale-start.elc \
  /usr/share/xemacs/mule-packages/lisp/locale/
  The 'cp' from latest fileutils cowardly refuses to overwrite
  the Japanese and Romanian versions of locale-start.elc with
  the French version, as it did until now.
  But the files in /usr/share/xemacs/mule-packages/lisp/locale/
  are apparently never read anyway, only the files from
  /usr/share/xemacs/mule-packages/etc/start-files/{ja,ro,fr}/
  are read. Therefore I fixed this temporarily by not building
  any locale-start.elc files which prevents installing anything
  into /usr/share/xemacs/mule-packages/lisp/locale/.
- use the correct encoding for the output of
  'LC_ALL=ja_JP.eucJP xemacs --help',
  'LC_ALL=ja_JP.UTF-8 xemacs --help', and
  'LC_ALL=ja_JP.SJIS xemacs --help'.
- similar problem with 'cp' fixed in mule-ucs package
* Fri Aug 16 2002 - mfabian@suse.de
- add packages-cvs-xemacs-sumo-2002-05-22-gnus-5.8.8-utf-8.patch
  to make it possible to send Mails in UTF-8 with Gnus 5.8.8.
* Sun Aug 11 2002 - mfabian@suse.de
- change # neededforbuild:
  cannadev -> canna canna-devel canna-libs
* Mon Jul 22 2002 - werner@suse.de
- diff-mode: check on hunk even if file diff starts (bug #17035)
* Mon Jul 22 2002 - werner@suse.de
- Fix path expansion in apel/install.el of sumo tar ball
- Enable RPM_OPT_FLAGS for SuSE Linux version > 8.0
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Mon Jun 10 2002 - mfabian@suse.de
- small improvement in ps-mule.el patch:
  keep hanglm24.bdf as a fallback if gulim24.bdf doesn't exist.
* Wed May 29 2002 - mfabian@suse.de
- update to 21.4.8 + sumo-2002-05-22
- remove lib64.patch, xemacs-21.4.4-printer.el.patch,
  xemacs-21.4.4-moduledir.patch,
  packages-cvs-xemacs-sumo-2002-03-29-xslide.patch, and
  packages-cvs-xemacs-sumo-2002-03-29-liece.patch
  (included upstream)
- add UTF-8 versions of translated app-defaults
- add *fontSet definitions including iso10646-1 fonts to all
  app-defaults.
- add default app-defaults file
  /usr/X11R6/lib/X11/app-defaults/XEmacs to get the same *fontSet
  settings when starting XEmacs in an UTF-8 locale which has no
  translated app-defaults file (e.g. en_US.UTF-8).
- generate the file lists for the .el and .elc files automatically
  in the .spec file
* Mon May 06 2002 - schwab@suse.de
- Readd ia64 patch, suitably adapted.
- Fix lib64 configuration.
* Thu May 02 2002 - mfabian@suse.de
- fix printing with when (setq ps-multibyte-buffer 'bdf-font)
  is used
* Thu Apr 25 2002 - mfabian@suse.de
- update to 21.4.6 + sumo-2002-03-29
- the update broke the build on ppc and axp, fix it.
- Provides += mule-ucs-xemacs Mule-UCS-xemacs,
  Obsoletes += mule-ucs-xemacs Mule-UCS-xemacs
  (Mule-UCS 0.84 is already part of the sumos now).
- remove packages-cvs-xemacs-sumo-2001-07-09-ia64.patch, patched
  file doesn't exist anymore.
- add packages-cvs-xemacs-sumo-2002-03-29-liece.patch and
  packages-cvs-xemacs-sumo-2002-03-29-xslide.patch to fix build
  problems in packages.
- add packages-cvs-xemacs-sumo-2002-03-29-ps-print.patch (some
  fixes for CJK printing and printing with bdf fonts)
- fix file list: some new lisp packages have been added, some
  old ones were removed and there were some mistakes in the file
  list as well.
* Tue Apr 23 2002 - aj@suse.de
- Enable building on architectures with lib64.
- Fix compiler flags for x86.
* Thu Apr 04 2002 - schwab@suse.de
- Fix missing quotes in configure script.
* Fri Mar 08 2002 - kukuk@suse.de
- Fix file list
* Fri Feb 22 2002 - werner@suse.de
- Fix bug #13340: use correct lisp macro name of mouse wheel
  screen scrolling.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Oct 25 2001 - mfabian@suse.de
- remove "/site-packages/lisp/term/" directory from load-path
- add --moduledir configure option
- add workaround to avoid dumping the paths to lisp files
  as /usr/src/packages/BUILD/... into the xemacs executable
- add pattch for big-menubar.el (thanks to <schwab@suse.de>)
* Thu Oct 18 2001 - mfabian@suse.de
- fix printer.el to make 'generic-print-region' work again
  under Linux like operating systems
* Fri Sep 21 2001 - mfabian@suse.de
- fix font-menu.el to make changing fonts with the menu
  possible again.
* Mon Sep 10 2001 - aj@suse.de
- Remove extra space in LDFLAGS to allow building on PowerPC and
  alpha.
* Wed Sep 05 2001 - werner@suse.de
- FHS: /var/state/xemacs -> /var/lib/xemacs (bug #8678)
* Mon Sep 03 2001 - aj@suse.de
- Don't sort relocation entries, otherwise dumping breaks.
* Mon Jul 02 2001 - mfabian@suse.de
- update to 21.4.4
- remove redisplay patch (included upstream)
- remove xemacs-sumo-2000-09-04-jde.patch (jde doesn't exist
  anymore in the current sumos)
- remove xemacs-sumo-2000-09-04-mc.patch (included upstream)
- remove xemacs-db3.patch (included upstream)
- rebuild XEmacs packages from the CVS tree instead of using
  the sumo tarballs. This enables us to easily apply patches
  and rebuild all .elc files, which is difficult with the sumos
- remove xemacs-sumo-2000-01-24-vm.patch,
  xemacs-sumo-2000-09-04-ilisp.patch
  (was only needed to fix problems in rebuilding the .elc files,
  not necessary anymore when rebuilding the .elc from CVS).
- move xemacs-sumo-2000-09-04-ispell.patch into
  packages-cvs-xemacs-sumo-2001-07-09.patch
- removed xemacs-ia64.dif (not needed anymore)
- add gpp libgpp to "# neededforbuild" (the packages contain C++
  sources)
- remove "xemacs-21.4.4-info.tar.bz2" to save some space in the
  source rpm (All these info files can be rebuild from the texinfo
  sources in the main source tar ball "xemacs-21.4.4.tar.bz2")
* Thu Jun 07 2001 - werner@suse.de
- A long way: Fix trouble with new autoconf
* Thu Jun 07 2001 - werner@suse.de
- Make autoconf work again
* Mon May 14 2001 - werner@suse.de
- Add mail crypt patch (bug#8300)
* Tue May 08 2001 - werner@suse.de
- Move [(shift home)] and [(shift end)] to [(control home)] and
  [(control end)] to be more common with WIN XY.
- Move func-keys load from window-setup-hook to init function of
  xfree of xemacs.
* Thu May 03 2001 - werner@suse.de
- Fix typo in crypt.el (bug#7525)
* Fri Apr 06 2001 - mfabian@suse.de
- commented out 'ascii-character property changes for 'delete
  and 'backspace in func-keys.el, because this causes problems
  when using the XEmacs <-> Canna interface (Backspace didn't
  cancel the henkan anymore)
* Sun Apr 01 2001 - schwab@suse.de
- Fix ia64 support.
- Add support for Berkeley DB3 from CVS.
* Fri Mar 30 2001 - werner@suse.de
- Keybinding
  Change [(home)] from beginning-of-buffer to beginning-of-line
  Change [(end)] from end-of-buffer to end-of-line
  Add [(shift home)] for beginning-of-buffer
  Add [(shift end)]  for end-of-buffer
- Basic wheel mouse support
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Mon Feb 05 2001 - werner@suse.de
- Add LDAP on configuration
* Mon Feb 05 2001 - werner@suse.de
- Security update to 21.1.14
* Mon Jan 22 2001 - mfabian@suse.de
- installed pcl-cvs package as well (it was disabled due to
  problems with this packages, but it seems to work fine now,
  so it can be enabled again).
* Tue Nov 21 2000 - werner@suse.de
- Remove swapping of kp-separator/kp-decimal because it's
  done in xkbd map for german keyboards
* Tue Nov 21 2000 - werner@suse.de
- Move package names
  * from xe_exec to xemacs
  * from xe_lisp to xemacs-el
  * from xe_info to xemacs-info
- Add kvt.el and gnome.el for the terminal kvt and gnome-terminal
- Make ispell.el compatible ispell-emacs-menu.el
* Fri Nov 17 2000 - mfabian@suse.de
- Build with support for FreeWnn.
- added redisplay patch important for Japanese
  (see http://www.xemacs.org/list-archives/xemacs-beta/199912/msg00376.html)
* Tue Oct 24 2000 - werner@suse.de
- Replace `@AUCDIR' kludge from lisp/auctex/tex-site.el by the
  location of the auctex data directory (etc/auctex/).
- Use a more generally printer setup for auctex.
* Mon Oct 23 2000 - aj@suse.de
- Build with X-Face support.
* Sun Sep 17 2000 - schwab@suse.de
- Add support for ia64.
- Fix typo in configure.in.
* Fri Sep 15 2000 - werner@suse.de
- Dump cl-macs into xemacs to avoid nasty loading messages
- Fix byte compiling of jde, mew, and ilisp packages
* Fri Sep 08 2000 - werner@suse.de
- Correct file list
- make tar's bzip2ed
- add xterm Ctrl+cursor keys
- move dif from 2.1.10 to 2.1.12
* Thu Sep 07 2000 - aj@suse.de
- Update to XEmacs 21.1.12 and Sumo packages from 2000-09-04.
* Thu Jul 13 2000 - mfabian@suse.de
- cannadev is needed for build to get Canna support compiled in.
- added support for international menubars.
* Thu Jun 29 2000 - werner@suse.de
- remove circular dependency between xe_exec and xe_info
* Mon May 29 2000 - aj@suse.de
- Update to XEmacs 21.1.10 and  current packages (except pcl-cvs
  which has some problems)
* Wed Apr 05 2000 - bk@suse.de
- needs automake for update config.{sub,guess} macro
* Tue Apr 04 2000 - bk@suse.de
- s390 team added support for s390
* Thu Feb 17 2000 - aj@suse.de
- Added Y2k patch for vc, fixed scaled font handling.
* Mon Feb 07 2000 - kasal@suse.de
- app-defaults files should be %%config
* Thu Jan 27 2000 - ro@suse.de
- specfile: re-done %%setup section for new tar
* Tue Jan 25 2000 - werner@suse.de
- New version 21.1.8
	- New tarballs 2000-01-24
	- New fix for vm package
	- /usr/man -> /usr/share/man
* Fri Jan 14 2000 - werner@suse.de
- Fix vm package: macros arn't autoloadable by xemacs 21.x
* Wed Dec 22 1999 - werner@suse.de
- Uh: install and pack some missed scripts
* Wed Dec 01 1999 - werner@suse.de
- Fix pty handling: use glibc extension
* Thu Nov 11 1999 - werner@suse.de
- Fix the site-package extension
  * ispell menus
  * xterm/console key mappings
	- Fix font menu: set `ignore scaled fonts' to nil
* Sat Nov 06 1999 - werner@suse.de
- Change file list of xe_info and xe_lisp
* Thu Nov 04 1999 - werner@suse.de
- Remove libgif from required packages
* Sat Oct 30 1999 - ro@suse.de
- modified filelist for nonx86
- removed libz from neededforbuild: it's default
* Fri Oct 29 1999 - werner@suse.de
- Remove `with system malloc' because the last patch seems
  to help. Without system malloc we see more speed
* Thu Oct 28 1999 - werner@suse.de
- Add patch for glibc and __malloc_hook
* Tue Oct 26 1999 - werner@suse.de
- New glibc requires `with system malloc'
* Wed Oct 20 1999 - werner@suse.de
- Last checks
* Wed Oct 20 1999 - werner@suse.de
- New version 21.1.7
  * avoid locale problems due to lisp formats of time e.g.
	- Use xemacs-mule-sumo-1999-05-27.tar.gz to avoid trouble
  with not synched mule versions of xemacs and mule-sumo
	- Use xemacs-sumo-1999-07-29.tar.gz
  * Many bug fixes due to missed load statements and
  minor version comparision: (19.)13 > (21.)1
	- Add the already used bug fixes and changes
  * security
  * ispell menu
  * dinbrief.el for auctex
  * ...
	- Store xemacs in /usr/share/xemacs/<version>/
  and /usr/<lib>/xemacs/<version>/
	- Move info to /usr/share/xemacs/info/
	- Enable site-lisp and move it to /usr/share/xemacs/site-lisp/
	- Make configured in paths work
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 13 1999 - werner@suse.de 
- fix locale handling of xemacs
  * overwrite LC_NUMERIC, LC_TIME, and LC_MESSAGES to
  "C" to get something what can xemacs can handle
	- fix dinbrief.el
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Mon Mar 08 1999 - werner@suse.de 
- Remove site-lisp/ispell.el* to use the dynamic
  rebuild of the Spell menu of the ispell package
	- Create a site-start.el to do that
* Thu Nov 12 1998 - bs@suse.de
- fixed spec file for new rpm.
* Tue Nov 03 1998 - werner@suse.de
- Change names of languages and encoding style in ispell
  from `language    (encod)' to `language-encod'
* Tue Jul 28 1998 - werner@suse.de
- Do not use system malloc ... some parts of xemacs arn't
  smart enough for that.
	- Disable const
* Mon Jul 27 1998 - werner@suse.de
- Use redhat patch for alpha ... means make it work for all
  arch's. This because I do not want use ordinary linkage which
  may causes the troubles seen with xemacs and shared libs.
* Mon Jul 20 1998 - werner@suse.de
- use mktemp if avaliable
* Fri Jul 10 1998 - werner@suse.de
- Check all script in lib-src against tmp exploits
	- Fix pstogif (exploit and uninitialized variables)
	- Add disp-table to site-load
* Thu Jul 09 1998 - werner@suse.de
- Add american to the (i)spell menu
	- Use -fno-force-mem (egcs-bug)
	- Use -rpath-link /usr/X11R6/lib
	- Avoid multiple common
	- Remove and set some CONST
* Wed May 27 1998 - werner@suse.de
- Use Xaw3d instead of Xaw to avoid trouble with xaw3dd
	- Change pop service "pop" to "pop3"
* Tue Mar 03 1998 - werner@suse.de
- New version 20.4
	- Same changes done for 20.3 (hacked ispell.el for our new ditcs)
	- Fix the change doe for viper-ex.el
	- Remove ctags (own package), send-pr and install-sid (gnats)
  out of /usr/X11R6/bin/
* Wed Feb 11 1998 - werner@suse.de
- New version 20.3
  * Dead keys seems to work
  * Now BS and DEL are distinct
	- Some changes, e.g. hacked ispell.el for our new ditcs
* Thu Nov 06 1997 - werner@suse.de
- New version 20.2
	- Add XFree86 deadlock keys to x-compose.el and x-iso8859-1.el
	- Some changes
* Fri Jul 18 1997 - werner@suse.de
- New patchlevel 19.15pl7
	- Remove one change of a patch to save choosen fonts in
  `save options'
	- Add deadlock keys to x-compose.el and x-iso8859-1.el
* Sun May 25 1997 - werner@suse.de
- New version: 19.15
	- some changes in keycode under TERM=xterm (term/xterm.el)
	- info goes to /usr/X11R6/lib/xemacs/info/
* Tue Feb 04 1997 - werner@suse.de
- Aufraeumen von term/linux.el und term/xterm.el:
  Statt setzten von delete/backspace wird nun
  delbackspace.el verwendet.
	- Fix in einer Info-Seite
* Thu Jan 02 1997 - werner@suse.de
- Neue Version von Xemacs: 19.14
        - Anpassungen  an TERM=linux, TERM=xterm
        - Delete loescht Zeichen unter dem Cursor
